package rocks.zipcode.quiz3a.objectorientation.food;

import org.junit.Assert;
import org.junit.Test;
import rocks.zipcode.quiz3a.collections.Food;
import rocks.zipcode.quiz3a.objectorientation.Pepper;
import rocks.zipcode.quiz3a.objectorientation.Spice;

import java.util.Map;

public class GetSpiceCountTest {
    @Test
    public void test1() {
        // given
        Food food = new Food();
        Integer expected = 5;
        Spice pepper = null;
        for (int i = 0; i < expected; i++) {
            pepper = (Spice)new Pepper();
            food.applySpice(pepper);
        }

        // when
        Map<Class<? extends Spice>, Integer> amountOfPeppers = food.getSpiceCount();
        Integer actual = amountOfPeppers.get(pepper.getClass());

        // then
        Assert.assertEquals(expected, actual);
    }
}
